./devel/py-ZopeEvent, Very basic event publishing system

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.4, Package name: py27-ZopeEvent-4.4, Maintainer: pkgsrc-users

The zope.event package provides a simple event system, including:
- An event publishing API, intended for use by applications which
are unaware of any subscribers to their events.
- A very simple event-dispatching system on which more sophisticated
event dispatching systems can be built. For example, a type-based
event dispatching system that builds on zope.event can be found
in zope.component.


Required to run:
[devel/py-setuptools] [lang/python27]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 923dccd65a3baf649dddceea241fd5cf18ce0879
RMD160: 8df0e80e114c841fa8833c0314902090a7f31571
Filesize: 18.377 KB

Version history: (Expand)


CVS history: (Expand)


   2018-10-15 12:26:13 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
py-ZopeEvent: updated to 4.4

4.4:
Add support for Python 3.7
   2017-10-07 13:38:34 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
py-ZopeEvent: update to 4.3.0

4.3.0:
- Add support for Python 3.6.
- Drop support for Python 3.3.
   2016-09-01 18:40:14 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
Updated py-ZopeEvent to 4.2.0.

4.2.0 (2016-02-17)
------------------

- Add support for Python 3.5.

- Drop support for Python 2.6 and 3.2.
   2015-12-01 08:49:04 by Filip Hajny | Files touched by this commit (4)
Log message:
Import zope.event 4.1.0 as devel/py-ZopeEvent.

The zope.event package provides a simple event system, including:
- An event publishing API, intended for use by applications which
  are unaware of any subscribers to their events.
- A very simple event-dispatching system on which more sophisticated
  event dispatching systems can be built. For example, a type-based
  event dispatching system that builds on zope.event can be found
  in zope.component.